<?

// кнопки повтора этапов

class Bt_repeat {
	
	function __construct($step_name) {
		$this->step = $step_name;
	}
	
	function onClick() {
		GLOBAL $Ui_thread, $OP, $INFO, $log, $Ui_fields; 
		
		$button = c('Fm->repeat_'.$this->step);
		
		// проверка что поток не запущен
		if($Ui_thread->check_run_dialog())
			return false;
		
		// по хорошему надо проверить чтобы этап на который переходим был завершен но положимся на активацию/деактивацию кнопок
		$INFO['step'] = $this->step;

		// для первого этапа надо сбрасывать режим "часть диска"
		if($this->step == CREATE_BLOCKS) {
			$Ui_fields['use_part']->set(false);
		}
		
		// очищаем статистику
		Stat::clean_up_step($this->step);
		Stat::clear_step($this->step);

		Ui_timers::tick_root();
	}
}



?>